<template>
  <div>
    <ul class="contenido">
        <h1>Canciones</h1>
     <!-- <li v-for="artist in artists" :key="artist.id">
        CANCION: {{ artist.name }} <br>
        GRUPO: {{ artist.artist.name }} <br>
        URL: {{ artist.artist.url }} <br>
        OYENTES: {{ artist.listeners }} <br>
    
        ···········································        
      </li>-->
    <section v-for="artist in artists" :key="artist.id">
    <p class="estilomusica">{{ artist.name }}</p>
  
  <details>
    <summary>BÚSQUEDAS</summary>
    <p>{{ artist.reach }} personas buscaron éste estilo de música</p>
  </details>
  <details>
    <summary>INFORMACIÓN</summary>
    <p>Tienes más información en: {{ artist.url }} </p>
  </details>
</section>

</ul>
  </div>
</template>

<script>
export default {
  name: "topstylesc",
  props: {
    artists: Array
  }
};
</script>

<style scoped>
h1 {
  font-size: 40px;
  margin-bottom: 2.5%;
  color: hotpink;
}
.contenido {
  padding-top: 200px;
}
.estilomusica {
    font-size: 30px;
    color: hotpink;
}
/* Aqui va el estilito*/

html,
.root {
  padding: 0;
  margin: 0;
  font-size: 22px;
}

body {
  font: menu;
  font-size: 1rem;
  line-height: 1.4;
  padding: 0;
  margin: 0;
}
section {
  padding-top: 4rem;
  width: 50%;
  margin: auto;
}

details[open] summary ~ * {
  animation: open 0.3s ease-in-out;
}

@keyframes open {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
details summary::-webkit-details-marker {
  display: none;
}

details summary {
  width: 100%;
  padding: 0.5rem 0;
  border-top: 1px solid black;
  position: relative;
  cursor: pointer;
  font-size: 1.25rem;
  font-weight: 300;
  list-style: none;
}

details summary:after {
  content: "+";
  color: hotpink;
  position: absolute;
  font-size: 1.75rem;
  line-height: 0;
  margin-top: 0.75rem;
  right: 0;
  font-weight: 200;
  transform-origin: center;
  transition: 200ms linear;
}
details[open] summary:after {
  transform: rotate(45deg);
  font-size: 2rem;
}
details summary {
  outline: 0;
}
details p {
  font-size: 0.95rem;
  margin: 0 0 1rem;
  padding-top: 1rem;
}

</style>